Get all Tasks
http
GET https://services.leadconnectorhq.com/contacts/{contactId}/tasksAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
contactId | string | Yes | sx6wyHhbFdRXh302LLNR | Contact Id |
Responses
200 - Successful response
tasks(object[])id(string): Example:lJpzYrWdpkC2hX6t2yuetitle(string): Example:testbody(string): Example:testingassignedTo(string): Example:tesTUcmRxWrjqzJS8EjkxNKtingdueDate(string): Example:2021-07-08T02:30:00.000Zcompleted(boolean): Example:TruecontactId(string): Example:lJpzYrWdpkC2hX6t2yue
json
{
"tasks": [
{
"id": "lJpzYrWdpkC2hX6t2yue",
"title": "test",
"body": "testing",
"assignedTo": "tesTUcmRxWrjqzJS8EjkxNKting",
"dueDate": "2021-07-08T02:30:00.000Z",
"completed": true,
"contactId": "lJpzYrWdpkC2hX6t2yue"
}
]
}400 - Bad Request
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/contacts/YOUR_contactId/tasks' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/contacts/YOUR_contactId/tasks', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/contacts/YOUR_contactId/tasks',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/contacts/YOUR_contactId/tasks');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);